=== modified file 'lib/canonical/launchpad/webapp/errorlog.py'
--- lib/canonical/launchpad/webapp/errorlog.py	2011-09-26 08:35:37 +0000
+++ lib/canonical/launchpad/webapp/errorlog.py	2011-10-05 23:28:31 +0000
@@ -288,6 +288,8 @@
         # Constants:
         self._oops_config.template['branch_nick'] = versioninfo.branch_nick
         self._oops_config.template['revno'] = versioninfo.revno
+        reporter = config[section_name].oops_prefix
+        self._oops_config.template['reporter'] = reporter
         # Should go in an HTTP module.
         self._oops_config.template['req_vars'] = []
         # Exceptions, with the zope formatter.
@@ -308,9 +310,7 @@
         self._oops_config.on_create.append(attach_adapter_duration)
         # We want to publish reports to disk for gathering to the central
         # analysis server.
-        self._oops_datedir_repo = DateDirRepo(
-                config[section_name].error_dir,
-                config[section_name].oops_prefix)
+        self._oops_datedir_repo = DateDirRepo(config[section_name].error_dir)
         self._oops_config.publishers.append(self._oops_datedir_repo.publish)
         # And within the zope application server (mainly for testing).
         self._oops_config.publishers.append(notify_publisher)

=== modified file 'versions.cfg'
--- versions.cfg	2011-10-04 14:41:10 +0000
+++ versions.cfg	2011-10-05 23:28:31 +0000
@@ -7,6 +7,7 @@
 ampoule = 0.2.0
 amqplib = 0.6.1
 BeautifulSoup = 3.1.0.1
+bson = 0.3.2
 bzr = 2.5.0dev2-r6152
 Chameleon = 2.4.0
 ClientForm = 0.2.10
@@ -48,9 +49,9 @@
 mocker = 0.10.1
 mozrunner = 1.3.4
 oauth = 1.0
-oops = 0.0.7
-oops-datedir-repo = 0.0.6
-oops-wsgi = 0.0.2
+oops = 0.0.8
+oops-datedir-repo = 0.0.7
+oops-wsgi = 0.0.5
 oops-timeline = 0.0.1
 oops-twisted = 0.0.3
 ordereddict = 1.1

